Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.continuous
Class ContinuousPortrayal3D

    java.lang.Object
      sim.portrayal.FieldPortrayal
          sim.portrayal3d.FieldPortrayal3D
              sim.portrayal3d.SparseFieldPortrayal3D
                  sim.portrayal3d.continuous.ContinuousPortrayal3D

All Implemented Interfaces:
  java.io.Serializable, Portrayal, Portrayal3D

    public class ContinuousPortrayal3D

extends SparseFieldPortrayal3D

Portrays both Continuous2D and Continuous3D fields. 2D fields are spread through the XY plane and are presumed to have Z=0.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class sim.portrayal.FieldPortrayal
`FieldPortrayal.CustomInspector`

Field Summary

Fields inherited from class sim.portrayal3d.FieldPortrayal3D
`defaultPortrayal`

Fields inherited from class sim.portrayal.FieldPortrayal
`classPortrayals, dirtyField, field, immutableField, portrayalForAll, portrayalForNonNull, portrayalForNull, portrayalForRemainder, portrayals`

Constructor Summary
`ContinuousPortrayal3D()`

Method Summary
`LocationWrapper` | `completedWrapper(LocationWrapper w, com.sun.j3d.utils.picking.PickIntersection pi, com.sun.j3d.utils.picking.PickResult pr)` Given the provided PickIntersection and the PickResult it came from, fill in w the location of the picked object, and return it.
`javax.vecmath.Vector3d` | `getLocationOfObjectAsVector3d(java.lang.Object obj, javax.vecmath.Vector3d putInHere)` Converts a given location (perhaps a Double3D, Double2D, Int3D, or Int2D) into a Vector3d, placing it in the given Vector3d, and returning that Vector3d.
`void` | `setField(java.lang.Object field)` Sets the field.

Methods inherited from class sim.portrayal3d.SparseFieldPortrayal3D
`createModel, updateModel, wrapModelForNewObject`

Methods inherited from class sim.portrayal3d.FieldPortrayal3D
`getDefaultPortrayal, getDefaultTransform, getModel, getTransform, polygonAttributes, resetTransform, rotateX, rotateY, rotateZ, scale, scale, setTransform, transform, translate`

Methods inherited from class sim.portrayal.FieldPortrayal
`getDefaultNullPortrayal, getField, getInspector, getName, getPortrayalForAll, getPortrayalForNonNull, getPortrayalForNull, getPortrayalForObject, getPortrayalForRemainder, getStatus, isImmutableField, setImmutableField, setPortrayalForAll, setPortrayalForClass, setPortrayalForNonNull, setPortrayalForNull, setPortrayalForObject, setPortrayalForRemainder, setSelected, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, getStatus, setSelected`

Constructor Detail

### ContinuousPortrayal3D

    public ContinuousPortrayal3D()

Method Detail

### getLocationOfObjectAsVector3d

    public javax.vecmath.Vector3d getLocationOfObjectAsVector3d(java.lang.Object obj,
                                                                javax.vecmath.Vector3d putInHere)

  Description copied from class: `SparseFieldPortrayal3D`
  Converts a given location (perhaps a Double3D, Double2D, Int3D, or Int2D) into a Vector3d, placing it in the given Vector3d, and returning that Vector3d. Double2D and Int2D should convert to a Vector3d with a zero Z value.

  Specified by:
    `getLocationOfObjectAsVector3d` in class `SparseFieldPortrayal3D`
  See Also:
    `sim.portrayal.SparseFieldPortrayal3D#getLocationOfObjectAsVector3d(Object)`

### setField

    public void setField(java.lang.Object field)

  Description copied from class: `FieldPortrayal`
  Sets the field. Also sets dirtyField = true. May throw an exception if the field is inappropriate.

  Specified by:
    `setField` in class `FieldPortrayal`

### completedWrapper

    public LocationWrapper completedWrapper(LocationWrapper w,
                                            com.sun.j3d.utils.picking.PickIntersection pi,
                                            com.sun.j3d.utils.picking.PickResult pr)

  Description copied from class: `FieldPortrayal3D`
  Given the provided PickIntersection and the PickResult it came from, fill in w the location of the picked object, and return it. Alternatively, return a new LocationWrapper with all information filled in. The PickResult is provided you in case the object is in a shared group and you need to identify what link had connected to it.

  Specified by:
    `completedWrapper` in class `FieldPortrayal3D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD